# dotfiles

Fichiers de configuration de i3, XTerm et urxvt.

## Installation

### i3-gaps

Ces fichiers sont surtout ceux de base avec quelques ajouts de ma part. Placez le dossier `i3` dans le dossier `~/.config`. 

**Pour avoir un fond d’écran, décommentez la ligne 15 en ajoutant le chemin vers l’image.**

### XTerm/urxvt

Placez le fichier `Xresources` dans votre `$HOME`. **Rajoutez un `.` au début du fichier.**

La police Fire Code est nécessaire pour XTerm.

### Tmux

Mettez le fichier `tmux.conf` dans votre `$HOME` en le renommant `.tmux.conf`. Il faut ensuite mettre le fichier se trouvant dans `scripts` dans un dossier pouvant être exécuté et appelé directement en CLI. **Ce fichier n'est pas utile si vous n'avez pas de batterie et peut générer des bugs si vous n'en avez pas.**

Lorsque votre PC charge, une étoile apparait à côté du pourcentage de batterie: `[*]`. Cet emplacement est cependant vite si vous n'êtes pas connecté au secteur.

### Vim

Plus d'informations dans [le README](vim/README.md) dédié.

TLPL:

```bash
git clone --recurse-submodules https://git.gnous.eu/Rick/dotfiles.git
cp -r dotfiles/vim ~/.vim
```

### Emacs

Lisez le fichier [`config.org`](emacs/config.org) pour plus d'informations.
